GCLOUD_CONTAINER_NODE-POOLS_DELETE(1)

NAME

gcloud container node-pools delete - delete an existing node pool in a running cluster

SYNOPSIS

gcloud container node-pools delete NAME [--async] [--cluster=CLUSTER] [--wait] [--zone=ZONE, -z ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud container node-pools delete deletes a node pool from a Google Container Engine cluster. This command does not gracefully drain the nodes prior to deleting them. Use "kubectl drain NODE_NAME" to drain each node to have containers running on these nodes terminate gracefully.

POSITIONAL ARGUMENTS

    NAME
        The name of the node pool to delete.

FLAGS

    --async
        Don't wait for the operation to complete.

    --cluster=CLUSTER
        The cluster from which to delete the node pool. Overrides the default container/cluster property value for this command invocation.

    --wait
        DEPRECATED, use --no-async. Poll the operation for completion after issuing a create request.

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To delete the "node-pool-1" node pool from the cluster "sample-cluster", run:
    $ gcloud container node-pools delete node-pool-1 \
        --cluster=sample-cluster